Index (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.configuration, class: Index

Package org.apache.geode.management.configuration

# Class Index

java.lang.Object
org.apache.geode.management.configuration.AbstractConfiguration<IndexInfo>
org.apache.geode.management.configuration.Index

All Implemented Interfaces:
  `Serializable`, `Identifiable<String>`, `JsonSerializable`, `RegionScoped`

public class Index extends AbstractConfiguration<IndexInfo> implements RegionScoped

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `INDEXES`

  ### Fields inherited from class org.apache.geode.management.configuration.AbstractConfiguration

  `CLUSTER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Index()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getExpression()`
  `String`
  `getId()`
  Returns `getName()`.
  `IndexType`
  `getIndexType()`
  `Links`
  `getLinks()`
  `String`
  `getName()`
  `String`
  `getRegionName()`
  `String`
  `getRegionPath()`
  `int`
  `hashCode()`
  `void`
  `setExpression(String expression)`
  `void`
  `setIndexType(IndexType indexType)`
  `void`
  `setName(String name)`
  `void`
  `setRegionPath(String regionPath)`
  the regionPath can be in any of these forms, e.g.: 1.

  ### Methods inherited from class org.apache.geode.management.configuration.AbstractConfiguration

  `getCreationCommandType, getGroup, getGroupName, isCluster, isGlobalRuntime`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INDEXES

    public static final String INDEXES
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Index

    public Index()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### getExpression

    public String getExpression()

  - ### setExpression

    public void setExpression(String expression)

  - ### getRegionPath

    public String getRegionPath()

  - ### setRegionPath

    public void setRegionPath(String regionPath)
    the regionPath can be in any of these forms, e.g.: 1. regionName 2. /regionName 3. /regionName alias 4. /regionName.entrySet() 5. /regionName.fieldName.entrySet() alias

    Note: only the regionName portion of the path is used when filtering.

    Parameters:
      `regionPath` - the region path to set

  - ### getIndexType

    public IndexType getIndexType()

  - ### setIndexType

    public void setIndexType(IndexType indexType)

  - ### getRegionName

    public String getRegionName()
    Specified by:
      `getRegionName` in interface `RegionScoped`
    Returns:
      the regionName specified in the regionPath. Note this method assumes the regionName should not contain "."

  - ### getId

    public String getId()
    Returns `getName()`.
    Specified by:
      `getId` in interface `Identifiable<String>`
    Specified by:
      `getId` in class `AbstractConfiguration<IndexInfo>`
    Returns:
      an identifier uniquely identifying this Object.

  - ### getLinks

    public Links getLinks()
    Specified by:
      `getLinks` in class `AbstractConfiguration<IndexInfo>`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`